Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-65620

Jenkins 2.292 error builds with credentails

    XMLWordPrintable

Details

    • 2.293

    Description

      Tonight jenkins was update to version 2.292 and today we can't builds because jenkins return error.

      I update credential plugin but it isn't help.

      jenkins 2.291 ran builds successfully

      Attachments

        Issue Links

          Activity

            bbara BeBa added a comment - - edited

            Same error on my side. This change changes the implementation of the iterator() method, which doesn't allow remove() anymore.

            Should maybe be higher prioritized, as it doesn't allow builds at all?

            bbara BeBa added a comment - - edited Same error on my side. This change changes the implementation of the iterator() method, which doesn't allow remove() anymore. Should maybe be higher prioritized, as it doesn't allow builds at all?
            vincenzo_cerbone vincenzo cerbone added a comment - - edited

            Exact same problem here.

            I tried many ways: clearing jenkins "caches" dir, upgrade all plugins... the problem was still there.
            Another workaround I found was to temporarily set git checkouts to use ssh with no credential at all (so using user operating system git).
            In fact as soon as I set a credential to git checkout (via https or even uselessly ssh ) I had this problem. I tried also with a brand new credential. Same result.

            The only definitive way to fix the problem is to downgrade to jenkins  2.291 
            This is a very blocking issue I think and should have a higher priority.

             

            vincenzo_cerbone vincenzo cerbone added a comment - - edited Exact same problem here. I tried many ways: clearing jenkins "caches" dir, upgrade all plugins... the problem was still there. Another workaround I found was to temporarily set git checkouts to use ssh with no credential at all (so using user operating system git). In fact as soon as I set a credential to git checkout (via https or even uselessly ssh ) I had this problem. I tried also with a brand new credential. Same result. The only definitive way to fix the problem is to downgrade to jenkins  2.291  This is a very blocking issue I think and should have a higher priority.  

            Closing this duplicate lets move any potential discussion to the original ticket

            raihaan Raihaan Shouhell added a comment - Closing this duplicate lets move any potential discussion to the original ticket

            People

              Unassigned Unassigned
              pbezpal Bezpalko
              Votes:
              3 Vote for this issue
              Watchers:
              6 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: